import { AfterViewInit, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Store } from '@s-libs/app-state';
export declare class NasModelDirective<T> implements AfterViewInit, OnDestroy {
    private store;
    private subscription;
    private valueAccessor;
    constructor(valueAccessors: ControlValueAccessor[]);
    set nasModel(store: Store<T>);
    set disabled(isDisabled: boolean);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
